Repositories: Office 365 Repository

repository_office365
Maintained by Picture of James McQuillanJames McQuillan, Picture of Zion BrewerZion Brewer, Picture of Nima MojganiNima Mojgani
This plugin provides access to Office 365 as a repository. Specifically, includes OneDrive for Business, Office Video, Office Delve as well as SharePoint Document Libraries and Group Files associated with Moodle courses.
1304 sites
988 downloads
34 fans
Current versions available: 11

Office 365 Plugins for Moodle


Office 365 Repository Plugin

This plugin provides access to Office 365 as a repository. Specifically it includes OneDrive for Business, Office Video, Office Delve as well as SharePoint Document Libraries and Group Files associated with Moodle courses.


This is part of the suite of Office 365 plugins for Moodle.

This plugin is updated with stable releases. To follow active development on GitHub, click here.


Contributing

Before we can accept your pull request, you'll need to electronically complete Microsoft's Contributor License Agreement. If you've done this for other Microsoft projects, then you're already covered.

Why a CLA? (from the FSF)


Copyright

(c) Microsoft, Inc.  Code for this plugin is licensed under the GPLv3 license.

Any Microsoft trademarks and logos included in these plugins are property of Microsoft and should not be reused, redistributed, modified, repurposed, or otherwise altered or used outside of this plugin.

Sets

This plugin is part of set Office 365.

Screenshots

Screenshot #0

Contributors

Picture of James McQuillan
James McQuillan (Lead maintainer)
Picture of Vinayak (Vin) Bhalerao
Vinayak (Vin) Bhalerao
Picture of Akinsaya Delamarre
Akinsaya Delamarre
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Picture of Shawn Peters
    Fri, Jan 8, 2016, 12:53 AM
    Found another post that fixed my issue. You need to disconnect your O365 account and re-connect it. The button doesn't work so have the user go to this URL (change the root) http://moodle.mydomain.com/local/o365/ucp.php?action=disconnecttoken
    Then just re-connect the Office 365 account and it will work. smile
  • Picture of James McQuillan
    Fri, Jan 8, 2016, 5:24 PM
    Glad your issue was resolved Shawn - I'm aware of this issue and working on a better solution. You're correct that disconnecting and reconnecting is a temporary workaround that should fix the problem until I can get a better solution in place.
  • Picture of Rene Ouellette
    Fri, Feb 5, 2016, 2:23 AM
    I am not able to get the One drive for Business to show the personal storage. Was able to get it working for the course. URL in Local_o365 plugin set to: https://oursite-my.sharepoint.com
    Is there something I need to set on Azure, or could it be a permission issue?
  • Picture of James McQuillan
    Mon, Feb 22, 2016, 3:53 PM
    Hi Rene,

    Can you run the "Azure setup" tool in the Office 365 local plugin? It should report if there are any permission issues. If everything checks out, can you enable the "Record debug messages" setting on that same settings page, click Save changes, then try to access your OneDrive Moodle repository again? If you still don't see any files, go to Site administration > Reports > Logs, change "All activities" to "Site errors", and click "Get these logs". If there are any Office 365-related messages, can you send them to me (in a private message), and we can go from there. Thanks!
  • Pedro Renan
    Wed, Jul 6, 2016, 12:12 PM
    Problem on the line 983 of the file local/o365/classes/rest/sharepoint.php I replaced $offsetsize = 8192 * 1024 for $offsetsize = 8388608
  • Picture of James McQuillan
    Wed, Jul 27, 2016, 3:00 AM
    Hi Pedro - This should be resolved in the latest release. Please upgrade and let me know if you continue to experience problems. Thanks!
  • Picture of Eric Albert
    Thu, Jul 28, 2016, 8:52 PM
    I'm having a bit of a problem with getting the Repository to work. Everything is green on the 365 integration and I have linked the Moodle and Office 365 account, but when I try to add an attachment in the File picker i just get "No files available". I've been at it a few days and not sure what more I can do. Any thoughts on how I can debug further?
  • Picture of Sue Moss
    Thu, Jul 28, 2016, 8:59 PM
    We're having the same problem with the file picker. Everything is connected fine, can get to files using the Microsoft block but the Repository is not working - "No files available" and no errors anywhere.
  • Picture of Thomas College
    Fri, Aug 5, 2016, 3:54 AM
    We seem to be having the same problem with the file picker that Eric and Sue are having. Eric or Sue, were you able to resolve your issues?
  • Picture of James McQuillan
    Sat, Aug 6, 2016, 2:43 AM
    Eric + Sue - contacted you directly, however it's probably useful to note here - for everyone having trouble accessing OneDrive in the latest release. We've identified this as a bug and will have a release ready shortly to resolve the problem. Enabling the Microsoft Graph API (both in the options tab of the Office 365 local plugin and in Azure) should resolve the problem immediately. Remember to run the "Azure setup" tool on the setup tab of the Office 365 local plugin after enabling the Graph API to get the plugin to detect the new API.
  • Picture of Sue Moss
    Thu, Oct 20, 2016, 8:44 PM
    Apologies for the delay in replying, we left it alone over the summer break (I only work term time) and have only just got back to looking at it. With the new versions of these plugins we were able to connect to Microsoft via the block and then get the repository file picker running correctly. My only question now is regarding the calendar options in the block where I can get things to sync from Moodle to the 365 calendar, but not anything feeding back to Moodle from 365. Any suggestions?
  • Picture of James McQuillan
    Tue, Oct 25, 2016, 2:38 AM
    @sue - sent you a message
  • Picture of adam lock
    Mon, Aug 7, 2017, 9:21 PM
    hello there! I'm trying to use just the repository part of this as we do not use AZURE active directory. Is this possible at all?? Thanks in advance for your help....
  • Picture of Christine Theodoridou
    Wed, Oct 18, 2017, 10:35 PM
    Hello!
    Is it possible if, when we upload a file from the filepicker and choose "Create an alias/shortcut to the file", this file not to open via the SharePoint but via moodle? Can we remove this restriction that only 365 authenticated users can access the file?
    Thank you,
    Christine
  • Picture of Eric Breton
    Fri, Apr 12, 2019, 10:30 PM
    Hello, can you tell us if the plugin will support version 3.6 of Moodle in a near future ?
1 2
Please login to post comments